Skip to main content
Back to API List Fetches the status of the Proactive Notifications API.
FieldValue
MethodGET
Endpointhttps://{{host}}/api/public/bot/{{BotID}}/notify/status/{{requestId}}
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
API ScopeApp Builder: Proactive Messages; Admin Console: Channel Management > Proactive Messages

Path Parameters

ParameterRequired/OptionalDescription
hostRequiredThe environment URL. For example, https://platform.kore.ai
BotIdRequiredBot ID or Stream ID. Accessible under General Settings on the App Builder. Note: Required only for App Builder API scope of Proactive Messages.
requestIdRequiredThe unique Request ID returned by the Proactive Notifications API to track progress.

Sample Request

curl --location 'https://{{host}}/api/public/bot/{{BotId}}/notify/status/{{requestId}}' \
--header 'auth: {{jwt-token}}' \

Body Parameters

No body parameters are passed.

Sample Response

{
    "_id": "ds-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "status": "PARTIAL_SUCCESS",
    "percentageComplete": 100,
    "streamId": "st-xxxxx-xxx-xxx-xxx-xxxxx",
    "createdBy": "u-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "jobType": "PROACTIVE_NOTIFICATIONS_API",
    "action": "PROACTIVE_NOTIFICATIONS",
    "statusLogs": [
        {
            "_id": "nl-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "requestId": "ds-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "originalId": "john@abc.com",
            "status": "FAILURE",
            "createdBy": "u-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "comments": "'Identity is not associated with the channel'",
            "streamId": "st-xxxxx-xxx-xxx-xxx-xxxxx",
            "channel": "msteams",
            "createdOn": "2022-01-24T20:55:21.918Z",
            "__v": 0
        },
        {
            "_id": "nl-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "requestId": "ds-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "createdBy": "u-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "channel": "msteams",
            "comments": "Notification has been sent successfully",
            "streamId": "st-xxxxx-xxx-xxx-xxx-xxxxx",
            "koreId": "u-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "channelId": "29:1964-sxxxxxxxxxxxx-1MxxxxxxxxxxxxxxLqSODuQ",
            "messagestoreId": "ms-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxx",
            "originalId": "john@abc.com",
            "status": "SUCCESS",
            "createdOn": "2022-01-24T20:55:23.029Z",
            "__v": 0
        }
    ],
    "lMod": "2022-01-24T20:55:23.000Z",
    "createdOn": "2022-01-24T20:55:21.254Z",
    "requestedTime": "2022-01-24T20:55:21.254Z",
    "__v": 0,
    "count": 2
}
The status field can be "SUCCESS", "FAILURE", or "PARTIAL_SUCCESS".